FROM arm32v7/node:12.21.0-alpine

RUN apk update && apk upgrade && \
    apk add --no-cache bash git openssh vim

WORKDIR /app

ENV PATH /app/node_modules/.bin:$PATH

COPY ./.docker /app/.docker
COPY . /app

RUN npm rebuild node-sass
RUN npm install

EXPOSE 8080

CMD ["node", "./src/server/server.js"]
